PUT
/api/v1/schedule-snapshot/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/schedule-snapshot/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '"{\n \"resource_id\": {{node_id}},\n \"resource_type\": \"node\",\n \"time_line\": 1,\n \"create_after\": \"7\",\n \"delete_after\": \"3\"\n}"'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/schedule-snapshot/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json="{\n \"resource_id\": {{node_id}},\n \"resource_type\": \"node\",\n \"time_line\": 1,\n \"create_after\": \"7\",\n \"delete_after\": \"3\"\n}",)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/schedule-snapshot/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify("{\n \"resource_id\": {{node_id}},\n \"resource_type\": \"node\",\n \"time_line\": 1,\n \"create_after\": \"7\",\n \"delete_after\": \"3\"\n}"),});console.log(await response.json());curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/schedule-snapshot/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "block_storage_id": 5275, "resource_id": 5275, "create_after": "7", "delete_after": "15", "resource_type": "dbass", "time_line": 2}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/schedule-snapshot/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "block_storage_id": 5275, "resource_id": 5275, "create_after": "7", "delete_after": "15", "resource_type": "dbass", "time_line": 2, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/schedule-snapshot/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "block_storage_id": 5275, "resource_id": 5275, "create_after": "7", "delete_after": "15", "resource_type": "dbass", "time_line": 2 }),});console.log(await response.json());Update Scheduled Snapshots and Schedule Snapshot share this request; the body you send decides which one runs.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request
Example
<API_KEY>location
required
string
Specifies the E2E Myaccount region where the snapshot will be updated.
Example
<LOCATION>Request Body
Section titled “Request Body”Media typeapplication/json
One of:
JSON string containing the scheduled snapshot update parameters
string
Example
{ "resource_id": {{node_id}}, "resource_type": "node", "time_line": 1, "create_after": "7", "delete_after": "3"}object
block_storage_id
required
integer
Example
5275resource_id
integer
Example
5275create_after
required
string
Example
7delete_after
required
string
Example
15resource_type
required
string
Example
dbasstime_line
required
integer
Example
2Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code of the update operation
integer
data
object
errors
object
message
Confirmation message indicating the update result.
string
Example
{ "code": 200, "message": "Schedule settings has been updated successfully."}